<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class Invoice extends Mailable
{
    use Queueable, SerializesModels;
    public $pdf;
    public $images;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->images = [];
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        foreach ($this->images as $image) {
            if($image['select'])
                $this->attach(public_path('images/').$image['AttachmentID']);
        }
        return $this->from(env('MAIL_USERNAME', 'info@mralexjewelry.com'))
                ->view('mail.invoice')
                ->subject('Mr. Alex Jewelers: Appraisal Detail')
                ->attach(public_path('pdf/').$this->pdf);
    }
}
