<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Invoice extends Model
{
    protected $fillable = [
        'client_id', 'style', 'brand',
        'type', 'comments', 'date',
        'title', 'total', 'image', 'image1', 'image2', 'dial', 'status',
    ];

    public function client()
    {
        return $this->belongsTo(Client::class);
    }

    public function additional_jewel()
    {
        return $this->hasOne(AdditionalJewel::class);
    }

    public function additional_watch()
    {
        return $this->hasOne(AdditionalWatch::class);
    }
}
