<?php
use App\Libraries\Common;
?>
<!DOCTYPE html>
<!--[if IE 8]> <html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]> <html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="{{ app()->getLocale() }}">
    <!--<![endif]-->
    <!-- BEGIN HEAD -->

    <head>
        <meta charset="utf-8" />
        <!-- CSRF Token -->
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'Laravel') }}</title>
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta content="width=device-width, initial-scale=1" name="viewport" />
        <meta content="{{ config('app.name', 'Laravel') }}" name="description" />
        <meta content="" name="author" />
        <!-- BEGIN GLOBAL MANDATORY STYLES -->
        <!--<link href="http://fonts.googleapis.com/css?family=Open+Sans:400,300,600,700&subset=all" rel="stylesheet" type="text/css" />-->
        <link href="{{ asset('assets/global/plugins/bootstrap/css/bootstrap.min.css') }}" rel="stylesheet" type="text/css" />
        <link href="{{ asset('css/app.css') }}" rel="stylesheet" type="text/css" />
    <!-- END HEAD -->
    <body class="pdf">
    <div class="row">
        <div class="col-md-12">
            <div class="invoice">
                <div class="invoice-header">
                    <div class="invoice-header-data">
                        <table style="width: 100%">
                            <tr>
                                <td style="width: 25%"><img src="{{ asset('/img/logo-mralex2.jpg')}}" class="img-responsive img-circle"/></td>
                                <td><h1>JEWELRY APPRAISAL</h1></td>
                            </tr>
                        </table>

                    </div>
                    <div class="invoice-header-bg"></div>
                </div>
                <div class="invoice-body">
                    <table style="width: 100%">
                        <tr>
                            <td style="width: 50%; vertical-align: baseline;">
                                <h4>Report no. {{$invoice->invoice_number}}</h4>
                                <p>{{date('M jS, Y', strtotime($invoice->date))}}</p>
                                <p>{{$invoice->title}}</p>
                                <p>{{$invoice->client->name . " " . $invoice->client->last_name}}</p>
                                <p>{{$invoice->client->address . ", " . $invoice->client->city . ", " . $invoice->client->state . ", " . $invoice->client->zip }}</p>
                                <div class="block">
                                    <div class="block-header">
                                        <p>Grading Results</p>
                                    </div>
                                    <?php if (!empty($invoice->style)) :?>
                                    <div class="block-line">
                                        <p class="key">Style:</p>
                                        <p class="value">{{$invoice->style}}</p>
                                    </div>
                                    <?php endif;?>
                                    <?php if (!empty($invoice->brand)) :?>
                                    <div class="block-line">
                                        <p class="key">BRAND:</p>
                                        <p class="value">{{$invoice->brand}}</p>
                                    </div>
                                    <?php endif;?>
                                </div>
                                <div class="block">
                                    <div class="block-header">
                                        <p>ADDITIONAL GRADING RESULTS</p>
                                    </div>
                                    <?php if ($invoice->type == 'jewelry') :?>
                                    <div>
                                        <?php if (!empty($invoice->additional_jewel->gender)) :?>
                                        <div class="block-line">
                                            <p class="key">Gender:</p>
                                            <p class="value">{{$invoice->additional_jewel->gender}}</p>
                                        </div>
                                         <?php endif;?>
                                            <?php if (!empty($invoice->additional_jewel->length)) :?>
                                        <div class="block-line">
                                            <p class="key">Length:</p>
                                            <p class="value">{{$invoice->additional_jewel->length}} Inches</p>
                                        </div>
                                        <?php endif;?>
                                        <?php if (!empty($invoice->additional_jewel->weight)) :?>
                                        <div class="block-line">
                                            <p class="key">Weight:</p>
                                            <p class="value">{{$invoice->additional_jewel->weight}} g</p>
                                        </div>
                                            <?php endif;?>
                                            <?php if (!empty($invoice->additional_jewel->color_gold)) :?>
                                        <div class="block-line">
                                            <p class="key">Color Gold:</p>
                                            <p class="value">{{$invoice->additional_jewel->color_gold}}</p>
                                        </div>
                                            <?php endif;?>
                                            <?php if (!empty($invoice->additional_jewel->metal_purity)) :?>
                                        <div class="block-line">
                                            <p class="key">Metal Purity:</p>
                                            <p class="value">{{$invoice->additional_jewel->metal_purity}}</p>
                                        </div>
                                            <?php endif;?>
                                            <?php if (!empty($invoice->additional_jewel->total_diamond_weight)) :?>
                                            <div class="block-line">
                                                <p class="key">Diamonds Weight:</p>
                                                <p class="value">{{$invoice->additional_jewel->total_diamond_weight}} ct</p>
                                            </div>
                                            <?php endif;?>
                                            <?php if (!empty($invoice->additional_jewel->clarity_grade)) :?>
                                            <div class="block-line">
                                                <p class="key">Clarity Grade:</p>
                                                <p class="value">{{$invoice->additional_jewel->clarity_grade}}</p>
                                            </div>
                                            <?php endif;?>
                                            <?php if (!empty($invoice->additional_jewel->color_grade)) :?>
                                            <div class="block-line">
                                                <p class="key">Color Grade:</p>
                                                <p class="value">{{$invoice->additional_jewel->color_grade}}</p>
                                            </div>
                                            <?php endif;?>
                                    </div>
                                    <?php else :?>
                                    <div>
                                        <?php if (!empty($invoice->additional_watch->gender)) :?>
                                        <div class="block-line">
                                            <p class="key">Gender:</p>
                                            <p class="value">{{$invoice->additional_watch->gender}}</p>
                                        </div>
                                            <?php endif;?>
                                            <?php if (!empty($invoice->additional_watch->color_gold)) :?>
                                        <div class="block-line">
                                            <p class="key">Color Gold:</p>
                                            <p class="value">{{$invoice->additional_watch->color_gold}}</p>
                                        </div>
                                            <?php endif;?>
                                            <?php if (!empty($invoice->additional_watch->metal_purity)) :?>
                                        <div class="block-line">
                                            <p class="key">Metal Purity:</p>
                                            <p class="value">{{$invoice->additional_watch->metal_purity}}</p>
                                        </div>
                                            <?php endif;?>
                                            <?php if (!empty($invoice->additional_watch->total_diamond_weight)) :?>
                                        <div class="block-line">
                                            <p class="key">Diamonds Weight:</p>
                                            <p class="value">{{$invoice->additional_watch->total_diamond_weight}} ct</p>
                                        </div>
                                            <?php endif;?>
                                            <?php if (!empty($invoice->additional_watch->clarity_grade)) :?>
                                        <div class="block-line">
                                            <p class="key">Clarity Grade:</p>
                                            <p class="value">{{$invoice->additional_watch->clarity_grade}}</p>
                                        </div>
                                            <?php endif;?>
                                            <?php if (!empty($invoice->additional_watch->color_grade)) :?>
                                        <div class="block-line">
                                            <p class="key">Color Grade:</p>
                                            <p class="value">{{$invoice->additional_watch->color_grade}}</p>
                                        </div>
                                            <?php endif;?>
                                    </div>
                                    <?php endif;?>
                                </div>
                            </td>
                            <td style="width: 50%">
                                <?php if ($invoice->image && $invoice->image1 ) :?>
                                <table style="border-collapse: separate; border-spacing:3px; margin-left:15px;">
                                    <tr>
                                        <td>
                                             <?php if ($invoice->image) :?><img src="{{ asset($invoice->image)}}" class="img-responsive product-img1" style="object-fit: cover"/><?php endif;?>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <?php if ($invoice->image1) :?><img src="{{ asset($invoice->image1)}}" class="img-responsive product-img1" style="object-fit: cover"/><?php endif;?>
                                        </td>
                                    </tr>
                                </table>
                                <?php endif;?>
                                <?php if ($invoice->image && !$invoice->image1 ) :?>
                                <table style="border-collapse: separate; border-spacing:3px; margin-left:15px;">
                                    <tr>
                                        <td>
                                             <?php if ($invoice->image) :?><img src="{{ asset($invoice->image)}}" class="img-responsive product-img-only" style="object-fit: cover"/><?php endif;?>
                                        </td>
                                    </tr>
                                  
                                </table>
                                <?php endif;?>
                                <?php if (!$invoice->image && $invoice->image1 ) :?>
                                <table style="border-collapse: separate; border-spacing:3px; margin-left:15px;">
                                    <tr>
                                        <td>
                                             <?php if ($invoice->image1) :?><img src="{{ asset($invoice->image1)}}" class="img-responsive product-img-only" style="object-fit: cover"/><?php endif;?>
                                        </td>
                                    </tr>
                                  
                                </table>
                                <?php endif;?>
                            </td>
                        </tr>
                    </table>
                    <table style="width: 100%">
                        <tr>
                            <td style="width: 50%">
                                <div class="block-sign">
                                    <?php if(!empty($manager_signature)) :?>
                                        <img src="{{$manager_signature}}" width="150px" height="auto" style="object-fit: contain;margin: 0 auto !important;padding: 0 !important"/>
                                        <?php else:?>
                                        <div style="height: 125px;"></div>
                                        <?php endif?>
                                    <p>Mr. Alex Jewelers</p>
                                       20 NE 1St, Miami, 33132
                                    &nbsp;
                                </div>
                            </td>
                            <td style="width: 50%">
                                <div class="block-sign">
                                    <?php if(!empty($img)) :?>
                                    <img src="{{$img}}" width="150px" height="auto" style="object-fit: contain;margin: 0 auto !important;padding: 0 !important"/>
                                    <?php else:?>
                                        <div style="height: 125px;"></div>
                                    <?php endif?>
                                    <p>USD ${{number_format($invoice->total, 2)}}</p>
                                        Appraisal Value
                                </div>
                            </td>
                        </tr>
                    </table>
                    <div class="row">
                        <div class="col-md-12">
                            <img src="{{ asset('/img/platinum-scale.png')}}" class="img-fondo"/>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12">
                            <p class="footer-text">THE FOREGOING APPRAISAL IS MADE WITH THE UNDERSTANDING THAT THE APPRAISER ASSUMES NO LIABILITY WITH RESPECT TO ANY ACTION THAT MAY BE TAKEN ON THE BASIS OF THIS APPRAISAL.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </body>
</html>