<?php

use App\Http\Controllers\Api\ClientsController;
use App\Http\Controllers\Api\InvoicesController;
use App\Http\Controllers\Api\SettingsController;
use App\Http\Controllers\Api\StadisticsController;
use App\Http\Controllers\Api\UserController;
use App\Http\Controllers\Api\WorkersController;
use App\Http\Controllers\AppController;
use App\Http\Controllers\FunctionsController;
use App\Http\Controllers\ImageController;
use Illuminate\Foundation\Application;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Auth::routes();

Route::get('/', [AppController::class, 'index'])->name('App');
Route::get('/home', [AppController::class, 'index'])->name('App');
Route::get('/pdf/{id}', [AppController::class, 'generatePdfv'])->name('generatePdf');

Route::get('api/settings-brands', [SettingsController::class, 'getBrand']);
Route::get('api/get-auth-user', [UserController::class, 'getAuthUser']);

Route::apiResource('api/workers', WorkersController::class);
Route::apiResource('api/clients', ClientsController::class);
Route::apiResource('api/invoices', InvoicesController::class);
Route::apiResource('api/settings', SettingsController::class);

Route::post('web/function/send-sms', [AppController::class, 'sendClientSms']);
Route::get('web/function/get-sms-env', [AppController::class, 'getSmsEnv']);
Route::get('api/function/get-all-workers', [WorkersController::class, 'getAll']);
Route::get('api/function/get-all-workers-tax', [WorkersController::class, 'getAllWithTax']);
Route::put('api/function/worker/sign', [WorkersController::class, 'sign']);
Route::put('api/function/worker/manager', [WorkersController::class, 'sign']);
Route::get('api/function/get-total-invoice/{id}', [InvoicesController::class, 'getTotal']);
Route::post('api/function/send-invoice', [InvoicesController::class, 'send']);
Route::get('api/function/generate-pdf/{id}', [AppController::class, 'generatePdf']);
Route::get('api/function/generate-pdf-estimate/{id}', [AppController::class, 'generatePdfEstimate']);
Route::put('api/function/sign-pdf2', [AppController::class, 'singPdf']);
Route::get('api/function/get-all-clients', [ClientsController::class, 'getAll']);
Route::post('api/function/change-password', [UserController::class, 'changePassword']);
Route::post('api/invoices/upload/{id}', [InvoicesController::class, 'upload']);
Route::post('api/invoices/upload-image', [InvoicesController::class, 'uploadImage']);

Route::get('api/stadistics/get-months', [StadisticsController::class, 'getMonths']);
Route::get('api/stadistics/get-current-month', [StadisticsController::class, 'getCurrentMonth']);

Route::get('/upload/images', [ImageController::class, 'getUpload'])->name('upload');
Route::get('/upload/images/all/', [ImageController::class, 'all']);
Route::post('/upload/images/upload', [ImageController::class, 'postUpload']);
Route::post('/upload/images/delete', [ImageController::class, 'deleteUpload'])->name('upload-remove');

//functions
Route::get('functions/set-pay-date', [FunctionsController::class, 'setPayDate']);
Route::get('functions/set-total', [FunctionsController::class, 'setTotal']);
